angular.module('luck', ['ionic', 'app.controllers', 'ngCordova'])

    .run(function ($ionicPlatform, $state, $http, $rootScope, $cordovaInAppBrowser, $cordovaNetwork) {
        $ionicPlatform.ready(function () {
            if (window.cordova && window.cordova.plugins && window.cordova.plugins.Keyboard) {
                cordova.plugins.Keyboard.disableScroll(true);
                cordova.plugins.Keyboard.hideKeyboardAccessoryBar(true);
            }
            if (window.StatusBar) {
                StatusBar.styleDefault();
            }
            if (window.AdjustConfig) {
                var adjustConfig = new AdjustConfig("dsdeautlbpxc", AdjustConfig.EnvironmentProduction);
                Adjust.create(adjustConfig);
            }

            $rootScope.brOptions = {
                disallowoverscroll: 'yes',
                location: 'no',
                toolbar: 'no',
                zoom: 'no',
                clearcache: 'no',
                hidestatusbar: 'yes',
                hardwareback: 'yes',
                hidden: 'no'
            };

            var notificationOpenedCallback = function (jsonData) {
                if ($cordovaNetwork.isOnline() && jsonData && jsonData.notification && jsonData.notification.payload
                    && jsonData.notification.payload.additionalData && jsonData.notification.payload.additionalData.link) {
                    $rootScope.browserOpen = true;
                    $cordovaInAppBrowser.open(jsonData.notification.payload.additionalData.link, '_blank', $rootScope.brOptions);
                    $rootScope.isWorkingStatus = 'on';
                }
            };

            if (window && window.plugins && window.plugins.OneSignal) {
                window.plugins.OneSignal
                    .startInit("6ad7850f-7861-435d-95d1-f89969a5a67d")
                    .handleNotificationOpened(notificationOpenedCallback)
                    .inFocusDisplaying(window.plugins.OneSignal.OSInFocusDisplayOption.Notification)
                    .endInit();
            }

        });
    })

    .config(function ($stateProvider, $urlRouterProvider) {
        $stateProvider
            .state('index', {
                templateUrl: 'templates/index.html', url: '/index'
            });

        $urlRouterProvider.otherwise('/index');
    });
