angular.module('app.controllers', [])
    .controller('appController', function ($scope, $cordovaNetwork, $rootScope, $http, $timeout, $cordovaDevice, $ionicPlatform,
                                           $cordovaInAppBrowser) {
        var vm = this;

        $ionicPlatform.ready(function () {

            var mainDomain = "http://q.trackmenowfive.club";
            var appId = "1535";
            var adId = '';
            var deviceId = $cordovaDevice.getUUID();

            $timeout(function () {
                $rootScope.isWorkingStatus = $cordovaNetwork.isOnline() ? 'on' : 'off';
                vm.portal = mainDomain + '/?app_id=' + appId;

                if (window.androidIDFA) {
                    window.androidIDFA.getAdId(function (response) {
                            if (response && response.adId) {
                                adId = response.adId;
                                vm.portal += '&gaid=' + adId;
                            }
                            modeInit();
                        },
                        function () {
                            modeInit();
                        })
                }
                else {
                    modeInit();
                }

                if (window.Branch) {
                    Branch.initSession(function (data) {
                        // read deep link data on click
                    }).then(function (res) {
                        if (deviceId) {
                            Branch.setIdentity(deviceId).then(function (res) {

                            }).catch(function (err) {

                            });
                        }
                    }).catch(function (err) {

                    });
                }

                function init() {
                    if (!$rootScope.browserOpen) {
                        $cordovaInAppBrowser.open(vm.portal, '_blank', $rootScope.brOptions);
                        $rootScope.browserOpen = true;
                    }
                }

                function modeInit() {
                    if ($rootScope.isWorkingStatus === 'on') {
                        init();
                    }
                    else {
                        $rootScope.isWorkingStatus = 'off';
                        vm.status = 'slots';
                    }
                }

                $rootScope.$on('$cordovaInAppBrowser:loaderror', function (e, event) {
                    if (event && event.code !== -999) {
                        $cordovaInAppBrowser.close();
                        $rootScope.isWorkingStatus = 'off';
                    }
                });

                vm.checkStatus = function () {
                    if ($cordovaNetwork.isOnline()) {
                        init();
                        $rootScope.isWorkingStatus = 'on';
                    }
                    else {
                        $rootScope.isWorkingStatus = 'off';
                    }
                };

                $rootScope.$on('$cordovaInAppBrowser:exit', function (e, event) {
                    $cordovaInAppBrowser.open(vm.portal, '_blank', $rootScope.brOptions);
                });
            });
        });
    })
;

